> ## Documentation Index
> Fetch the complete documentation index at: https://stytch.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Password Reset By Email Start

> Initiate a password reset by email.

This endpoint triggers an email to the provided email address containing a magic link that will allow the user to set a new password and authenticate via the [Password Reset by Email endpoint](/docs/api-reference/consumer/api/passwords/reset-options/password-reset-by-email).


## OpenAPI

````yaml POST /v1/passwords/email/reset/start
openapi: 3.0.3
info:
  title: Stytch API
  description: The Stytch API provides endpoints for authentication and user management.
  version: 2.1.1
  contact:
    name: Stytch Support
    url: https://stytch.com/docs
    email: support@stytch.com
servers:
  - url: https://api.stytch.com
    description: Production server
  - url: https://test.stytch.com
    description: Test server
security:
  - basicAuth: []
paths:
  /v1/passwords/email/reset/start:
    post:
      tags:
        - Passwords
      summary: Resetstart
      description: >-
        Initiates a password reset for the email address provided. This will
        trigger an email to be sent to the address, containing a magic link that
        will allow them to set a new password and authenticate.
      operationId: api_password_v1_passwords_email_ResetStart
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/api_password_v1_passwords_email_ResetStartRequest
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api_password_v1_passwords_email_ResetStartResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status_code: 401
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: unauthorized_credentials
                error_message: Unauthorized credentials.
                error_url: https://stytch.com/docs/api/errors/401
        '429':
          description: Too Many Requests
          content:
            application/json:
              example:
                status_code: 429
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: too_many_requests
                error_message: Too many requests have been made.
                error_url: https://stytch.com/docs/api/errors/429
        '500':
          description: Internal server error
          content:
            application/json:
              example:
                status_code: 500
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: internal_server_error
                error_message: >-
                  Oops, something seems to have gone wrong, please reach out to
                  support@stytch.com to let us know what went wrong.
                error_url: https://stytch.com/docs/api/errors/500
      x-code-samples:
        - lang: csharp
          label: C#
          source: |-
            // POST /v1/passwords/email/reset/start
            const stytch = require('stytch');

            const client = new stytch.Client({
              project_id: '${projectId}',
              secret: '${secret}',
            });

            const params = {
              email: "sandbox@stytch.com",
            };

            client.Passwords.Email.ResetStart(params)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: go
          label: Go
          source: "// POST /v1/passwords/email/reset/start\npackage main\n\nimport (\n\t\"context\"\n\t\"log\"\n\n\t\"github.com/stytchauth/stytch-go/v18/stytch/consumer/passwords/email\"\n\t\"github.com/stytchauth/stytch-go/v18/stytch/consumer/stytchapi\"\n)\n\nfunc main() {\n\tclient, err := stytchapi.NewClient(\n\t\t\"${projectId}\",\n\t\t\"${secret}\",\n\t)\n\tif err != nil {\n\t\tlog.Fatalf(\"error instantiating client: %v\", err)\n\t}\n\n\tparams := &email.ResetStartParams{\n\t\tEmail: \"sandbox@stytch.com\",\n\t}\n\n\tresp, err := client.Passwords.Email.ResetStart(context.Background(), params)\n\tif err != nil {\n\t\tlog.Fatalf(\"error in method call: %v\", err)\n\t}\n\n\tlog.Println(resp)\n}\n"
        - lang: java
          label: Java
          source: >-
            // POST /v1/passwords/email/reset/start

            package com.example;


            import com.stytch.java.common.StytchResult;

            import
            com.stytch.java.consumer.models.passwordsemail.ResetStartRequest;

            import com.stytch.java.consumer.StytchClient;


            public class Main {
                public static void main(String[] args) {
                    StytchClient.configure("${projectId}", "${secret}");

                    ResetStartRequest params = new ResetStartRequest();
                    params.setEmail("sandbox@stytch.com");

                    Object result = StytchClient.getPasswords().getEmail().resetStart(params);
                    if (result instanceof StytchResult.Success) {
                      System.out.println(((StytchResult.Success) result).getValue());
                    } else {
                      System.out.println(((StytchResult.Error) result).getException());
                    }
                }
            }
        - lang: kotlin
          label: Kotlin
          source: >
            // POST /v1/passwords/email/reset/start

            package com.example


            import com.stytch.java.consumer.StytchClient

            import
            com.stytch.java.consumer.models.passwordsemail.ResetStartRequest


            fun main() {
                StytchClient.configure(
                    projectId = "${projectId}",
                    secret = "${secret}",
                )

                when (
                    val result =
                        StytchClient.passwords.email.resetStart(
                            ResetStartRequest(
                                email = "sandbox@stytch.com",
                            ),
                        )
                ) {
                    is StytchResult.Success -> println(result.value)
                    is StytchResult.Error -> println(result.exception)
                }
            }
        - lang: javascript
          label: Node.js
          source: |-
            // POST /v1/passwords/email/reset/start
            const stytch = require('stytch');

            const client = new stytch.Client({
              project_id: '${projectId}',
              secret: '${secret}',
            });

            const params = {
              email: "sandbox@stytch.com",
            };

            client.passwords.email.resetStart(params)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: php
          label: PHP
          source: |-
            $response = $client->passwords->email->reset_start([
                'email' => 'sandbox@stytch.com',
            ]);
        - lang: python
          label: Python
          source: |
            # POST /v1/passwords/email/reset/start
            from stytch import Client

            client = Client(
                project_id="${projectId}",
                secret="${secret}",
            )

            resp = client.passwords.email.reset_start(
                email="sandbox@stytch.com",
            )

            print(resp)
        - lang: ruby
          label: Ruby
          source: |-
            # frozen_string_literal: true

            # POST /v1/passwords/email/reset/start
            require 'stytch'

            client = Stytch::Client.new(
              project_id: "${projectId}",
              secret: "${secret}"
            )

            resp = client.passwords.email.reset_start(
              email: "sandbox@stytch.com"
              
            )

            puts resp
        - lang: rust
          label: Rust
          source: |-
            // POST /v1/passwords/email/reset/start
            use stytch::consumer::client::Client;
            use stytch::consumer::passwords_email::ResetStartRequest;

            fn main() {
                let client = Client::new("${projectId}", "${secret}").unwrap();
                let resp = client.passwords.email.reset_start(
                    ResetStartRequest{
                        email: "sandbox@stytch.com",
                        ..Default::default()
                    }
                ).await;
                println!("The response is {:?}", resp);
            }
        - lang: bash
          label: cURL
          source: |-
            # POST /v1/passwords/email/reset/start
            curl --request POST \
              --url https://test.stytch.com/v1/passwords/email/reset/start \
              -u '${projectId}:${secret}' \
              -H 'Content-Type: application/json' \
              -d '{
                "email": "sandbox@stytch.com"
              }'
components:
  schemas:
    api_password_v1_passwords_email_ResetStartRequest:
      type: object
      properties:
        email:
          type: string
          description: The email of the User that requested the password reset.
        reset_password_redirect_url:
          type: string
          description: >-
            The URL that the User is redirected to from the reset password magic
            link. This URL should display your application's reset password
            page.
              Before rendering the reset page, extract the `token` from the query parameters. On the reset page, collect the new password and complete the flow by calling the corresponding Password Reset by Email endpoint.
              If this parameter is not specified, the default Reset Password redirect URL configured in the Dashboard will be used. If you have not set a default Reset Password redirect URL, an error is returned.
        reset_password_expiration_minutes:
          type: integer
          format: int32
          description: >-
            Set the expiration for the password reset, in minutes. By default,
            it expires in 30 minutes.
              The minimum expiration is 5 minutes and the maximum is 7 days (10080 mins).
        code_challenge:
          type: string
          description: >-
            A base64url encoded SHA256 hash of a one time secret used to
            validate that the request starts and ends on the same device.
        attributes:
          $ref: '#/components/schemas/api_attribute_v1_Attributes'
          description: >-
            Provided attributes to help with fraud detection. These values are
            pulled and passed into Stytch endpoints by your application.
        login_redirect_url:
          type: string
          description: >-
            The URL that Users are redirected to upon clicking the "Log in
            without password" button in password reset emails.

                  After Users are redirected to the login redirect URL, your application should retrieve the `token` value from the URL parameters and call the [Magic Link Authenticate endpoint](https://stytch.com/docs/api/authenticate-magic-link) to log the User in without requiring a password reset. If this value is not provided, your project's default login redirect URL will be used. If you have not set a default login redirect URL, an error will be returned.
        locale:
          $ref: >-
            #/components/schemas/api_password_v1_passwords_email_ResetStartRequestLocale
          description: >-
            Used to determine which language to use when sending the user this
            delivery method. Parameter is an [IETF BCP 47 language
            tag](https://www.w3.org/International/articles/language-tags/), e.g.
            `"en"`.


            If no value is provided, the copy defaults to English.
        reset_password_template_id:
          type: string
          description: >-
            Use a custom template for password reset emails. By default, it will
            use your default email template.
              Templates can be added in the [Stytch dashboard](https://stytch.com/dashboard/templates) using our built-in customization options or custom HTML templates with type “Passwords - Password reset”.
      description: Request type
      required:
        - email
    api_password_v1_passwords_email_ResetStartResponse:
      type: object
      properties:
        request_id:
          type: string
          description: >-
            Globally unique UUID that is returned with every API call. This
            value is important to log for debugging purposes; we may ask for
            this value to help identify a specific API call when helping you
            debug an issue.
        user_id:
          type: string
          description: The unique ID of the affected User.
        email_id:
          type: string
          description: The unique ID of a specific email address.
        status_code:
          type: integer
          format: int32
          description: >-
            The HTTP status code of the response. Stytch follows standard HTTP
            response status code patterns, e.g. 2XX values equate to success,
            3XX values are redirects, 4XX are client errors, and 5XX are server
            errors.
      required:
        - request_id
        - user_id
        - email_id
        - status_code
    api_attribute_v1_Attributes:
      type: object
      properties:
        ip_address:
          type: string
          description: The IP address of the user.
        user_agent:
          type: string
          description: The user agent of the User.
    api_password_v1_passwords_email_ResetStartRequestLocale:
      type: string
      enum:
        - en
        - es
        - pt-br
        - fr
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````